summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristoph Helma <helma@in-silico.ch>2013-07-10 14:37:48 +0200
committerChristoph Helma <helma@in-silico.ch>2013-07-10 14:37:48 +0200
commitd671082fa701e35cd809fa7819a2ef054d90e9a1 (patch)
tree943369844bd47f3bb5c9ac6c624731fafa24094e
parent1512bc24dd2c97a84bf802054c0e410a96fbb031 (diff)
parent136773cc2956d0069a457c755ce85856daa82d1c (diff)
Merge branch 'development' of github.com:opentox/algorithm into development
-rwxr-xr-xbin/algorithm-install2
-rwxr-xr-xbin/fminer-install6
2 files changed, 5 insertions, 3 deletions
diff --git a/bin/algorithm-install b/bin/algorithm-install
index 4e03603..32045e6 100755
--- a/bin/algorithm-install
+++ b/bin/algorithm-install
@@ -54,6 +54,8 @@ cd $DIR/../java
cmd="$JAVAC -classpath classes:* *.java 2>&1" && run_cmd "$cmd" "Compile Algorithm java classes"
cd $DIR/..
+sed -i "1irequire 'openbabel'" application.rb
+
# Adjust ruby version here!
RUBY_NUM_VER="2.0.0-p0"
diff --git a/bin/fminer-install b/bin/fminer-install
index e787cf5..e5e3bfd 100755
--- a/bin/fminer-install
+++ b/bin/fminer-install
@@ -13,7 +13,7 @@ if echo $DIR | grep "algorithm/bin" >/dev/null 2>&1 ; then cd ..; fi
OT_CONFIG_DIR="$HOME/.opentox"
! [ -f "$OT_CONFIG_DIR/config/install/config.sh" ] && echo "config.sh not found." 1>&2 && exit 1 || . $OT_CONFIG_DIR/config/install/config.sh
! [ -f "$OT_PREFIX/install/utils.sh" ] && echo "utils.sh not found." 1>&2 && exit 1 || . $OT_PREFIX/install/utils.sh
-! [ -f $OT_CONFIG_DIR/opentox-ui.sh ] && echo "opentox-ui.sh not found." 1>&2 && exit 1 || . $OT_CONFIG_DIR/opentox-ui.sh
+! [ -f $OT_CONFIG_DIR/opentox-ui.sh ] && echo "opentox-ui.sh not found." 1>&2 && exit 1 || . $OT_CONFIG_DIR/opentox-ui.sh
if [ -z "$LOG" ]; then
LOG="$OT_PREFIX/tmp/`basename $0`.log"
@@ -26,8 +26,8 @@ check_utils "git make sed"
printf "\n%50s\n" "FMINER"
DIR=`pwd`
eval RUBY_INC="-I`dirname $RUBY_DIR/include/ruby*/*linux/ruby`\ -I`dirname $RUBY_DIR/include/ruby*/ruby`"
-OPBB_INC="-I$OB_DEST/include/openbabel-2.0"
-OPBB_LIB="-L$OB_DEST/lib"
+OPBB_INC="-I$RUBY_DIR/lib/ruby/gems/${RUBY_NUM_VER%-*}/gems/openbabel-2.3.2.0/include/openbabel-2.0"
+OPBB_LIB="-L$RUBY_DIR/lib/ruby/gems/${RUBY_NUM_VER%-*}/gems/openbabel-2.3.2.0/lib"
cmd="$GIT submodule init" && run_cmd "$cmd" "Fminer Init"
cmd="$GIT submodule update" && run_cmd "$cmd" "Fminer Update"
cd "libfminer/libbbrc">>$LOG 2>&1